issueNumber: MDL-83147
notes:
  core_ai:
    - message: >-
        Error message handler for AI subsystem.

        - Object creation
          Use `core_ai\error\factory::create($errorcode, $reason, $errorsource)` to generate the appropriate error object.

        - Extensibility
          Add new error types by extending `core_ai\error\base` and registering them in the factory.
          Please see `core_ai\error\ratelimit` as an example.

      type: improved
